# ----------------------------------------------------------
# --------               PROGRAM 3                 ---------
# ----------------------------------------------------------

# ----------------------------------------------------------
# Please answer these questions after having completed this
# program
# ----------------------------------------------------------
# Name:  
# Hours spent on program 3: 
# Collaborators and sources:
#   (List any collaborators or sources here.)
# ----------------------------------------------------------


#
# Dear student, 
# This is where you should write your solution to part 3
# of homework 2.  We wrote some code to get you started.
# We suggest you follow these steps:
# - Run this code in IDLE and see what happens
# - Read the comments below, which give some pointers on 
#   how things work and what you need to change
# - Carefully build up your solution by making small changes
#   and re-running it to see what effect your changes caused.


# ---------------------------------------------------------
# Import statements go at the top, like this.
# Hint: you may need to add another import statement 
# when it comes time to draw the hypotenuse of the triangle!
# ----------------------------------------------------------
import turtle


# This program draws two orange squares of different sizes
# side by side.

franklin = turtle.Turtle()   # make a new turtle object
side_length = 100

# DRAW AN ORANGE SQUARE
franklin.color('orange')      # change pen to orange
franklin.begin_fill()         # mark start of the square (or any polygon)

# draw four sides each of length side_length, 
# turning 90 degrees after drawing each side
franklin.forward(side_length)
franklin.left(90)
franklin.forward(side_length)
franklin.left(90)
franklin.forward(side_length)
franklin.left(90)
franklin.forward(side_length)
franklin.left(90)

franklin.end_fill()           # now fill with color

# pick the pen up, move the turtle, put pen back down
franklin.up()
franklin.forward(200)          
franklin.down()

# DRAW ANOTHER (SMALLER) SQUARE of the same color

franklin.begin_fill()         # mark start of the square (or any polygon)

# four sides of length 50 this time
franklin.forward(50)
franklin.left(90)
franklin.forward(50)
franklin.left(90)
franklin.forward(50)
franklin.left(90)
franklin.forward(50)
franklin.left(90)

franklin.end_fill()           # now fill with color

# leave this line at the end of the program
turtle.done()  # this pauses the program, leaving the window open
               # until the user clicks the close window button
